Subject: Re: bug#38629: 25.2; garbage-collect doesn't reclaim large *compilation*

From: Peter Ludemann <[email-masked]>
Date: Mon, 16 Dec 2019 08:48:57 -0800

It seems that emacs25 and emacs26 can't be in the same Ubuntu 18.04
installation (using ppa:kelleyk/emacs), so it'll take me a bit of work to
verify that the problem is fixed in emacs26.

On Mon, 16 Dec 2019 at 06:24, Noam Postavsky <[email-masked]> wrote:

> Peter Ludemann <[email-masked]> writes:
>
> > I ran a large compilation (to the *compilation* buffer) (232,701 lines,
> > 52M).
>
> > In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
> >  of 2017-09-22, modified by Debian built on lgw01-amd64-050
> > Windowing system distributor 'The X.Org Foundation', version
> 11.0.11906000
> > System Description: Ubuntu 18.04.3 LTS
>
> I think this is a variant of Bug#26952 - "repeated buffer insertion
> (e.g. yank-rectangle) consumes excessive memory (4GB+ for 90MB of
> text)".  I recommend upgrading to version 26.
>
>
>